<h1 mat-dialog-title>Role Permission</h1>
<div mat-dialog-content [formGroup]="permissionForm">
  <div class="row">
    <div class="form-group col-md-12">
      <mat-form-field appearance="fill" class="full-width">
        <mat-label>{{'ROLES' | translate}}</mat-label>
        <mat-select [(value)]="selectedRoles" multiple>
          <mat-select-trigger>
            <span *ngIf="selectedRoles.length > 0">
              <p>
                {{selectedRoles[0].name}}
              </p>
            </span>
            <span *ngIf="selectedRoles.length > 1" class="example-additional-selection">
              (+{{selectedRoles.length - 1}} {{selectedRoles.length === 2 ? 'other' : 'others'}})
            </span>
          </mat-select-trigger>
          <mat-option *ngFor="let role of roleDatas" [value]="role">
            {{role.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
  </div>
  <!-- <div class="col-md-12 row">
    <mat-checkbox (change)="timeBoundChange($event)" color="primary" formControlName="isTimeBound">
      {{'SPACIFY_THE_PERIOD' | translate}}</mat-checkbox>
  </div>
  <div class="col-md-12 row" *ngIf="permissionForm.get('isTimeBound').value">
    <div class="form-group col-md-6">
      <mat-form-field appearance="fill">
        <mat-label>{{'CHOOSE_A_START_DATE' | translate}}</mat-label>
        <input formControlName="startDate" [min]="minDate" matInput [matDatepicker]="startDatePicker">
        <mat-datepicker-toggle matSuffix [for]="startDatePicker"></mat-datepicker-toggle>
        <mat-datepicker #startDatePicker></mat-datepicker>
        <mat-error *ngIf="permissionForm.get('startDate').touched && permissionForm.get('startDate').errors?.required">
          {{'START_DATE_IS_REQURED' | translate}}
        </mat-error>
      </mat-form-field>
    </div>
    <div class="form-group col-md-6">
      <mat-form-field appearance="fill">
        <mat-label>{{'CHOOSE_A_END_DATE' | translate}}</mat-label>
        <input formControlName="endDate" matInput [min]="permissionForm.get('startDate').value"
          [matDatepicker]="endDatePicker">
        <mat-datepicker-toggle matSuffix [for]="endDatePicker"></mat-datepicker-toggle>
        <mat-datepicker #endDatePicker></mat-datepicker>
        <mat-error *ngIf="permissionForm.get('endDate').touched && permissionForm.get('endDate').errors?.required">
          {{'END_DATE_IS_REQURED' | translate}}
        </mat-error>
      </mat-form-field>
    </div>
  </div> -->
  <div class="col-md-12 row">
    <mat-checkbox color="primary" formControlName="isAllowDownload">{{'ALLOW_DOWNLOAD' | translate}}</mat-checkbox>
  </div>
</div>
<div mat-dialog-actions>
  <button class="btn btn-success btn-sm m-right-10" (click)="saveDocumentRolePermission()" cdkFocusInitial><i
      class="las la-save"></i>
    {{'SAVE' | translate}}
  </button>
  <button class="btn btn-danger btn-sm" (click)="onNoClick()">
    <i class="las la-times-circle"></i>
    {{'CANCEL' | translate}}
  </button>
</div>
